Subject: bug#20621: closed (Re: bug#20621: Encrypted files auto-saved in plain text during remote edit)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 27 May 2015 07:25:03 +0000

Your bug report

#20621: Encrypted files auto-saved in plain text during remote edit

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20621: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20621
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20621: Encrypted files auto-saved in plain text during remote edit
From: Michael Albinus <[email-masked]>
To: Nick Helm <[email-masked]>
Cc: [email-masked]
Date: Wed, 27 May 2015 09:23:42 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 25.1

Nick Helm <[email-masked]> writes:

Hi Nick,

>> I have submitted the patch to both Emacs and Tramp repositories; could
>> you, please, check?
>
> Yep, that's fixed it here. I see the same auto-save behaviour as
> editing an epa file
> in a local-buffer now.

Thanks for checking, I'm closing the bug.

> Thanks!

Best regards, Michael.

Subject: Encrypted files auto-saved in plain text during remote edit
From: Nick Helm <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Wed, 20 May 2015 23:57:35 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

When using Tramp and EPA to edit an encrypted file on a remote machine, Emacs
auto-saves the file in unencrypted plain text.

>From Emacs -Q do:

C-x C-f 

Enter: /ssh:<user>@<host>:/path/to/encrypted/file.gpg

Enter: <user_password>

Enter: <symmetric_encryption_pass_phrase>

Edit file.gpg sufficiently to initiate auto-save

New file /path/to/encrypted/[email-masked]#
is saved in plain text on the remote machine (or default auto-save location).

In GNU Emacs 24.5.1 (x86_64-apple-darwin13.4.0, NS apple-appkit-1265.21)
 of 2015-04-11 on builder10-9.porkrind.org
Windowing system distributor `Apple', version 10.3.1347
Configured using:
 `configure --with-ns '--enable-locallisppath=/Library/Application
 Support/Emacs/${version}/site-lisp:/Library/Application
 Support/Emacs/site-lisp''

Important settings:
  value of $LANG: en_NZ.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util help-fns mail-prsvr mail-utils time-date tooltip electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel ns-win tool-bar dnd
fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
cocoa ns multi-tty emacs)

Memory information:
((conses 16 71745 9990)
 (symbols 48 17206 0)
 (miscs 40 36 119)
 (strings 32 9772 4178)
 (string-bytes 1 257096)
 (vectors 16 8944)
 (vector-slots 8 372336 19181)
 (floats 8 53 218)
 (intervals 56 172 0)
 (buffers 960 11))